Skip to main content
PATCH
/
v1
/
allowed_ips
/
{id}
Update an Allowed IP
curl --request PATCH \
  --url https://api.us.lexful.app/v1/allowed_ips/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "ip_address": "<string>",
  "description": "<string>",
  "enabled": true
}
'
import requests

url = "https://api.us.lexful.app/v1/allowed_ips/{id}"

payload = {
"ip_address": "<string>",
"description": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ip_address: '<string>', description: '<string>', enabled: true})
};

fetch('https://api.us.lexful.app/v1/allowed_ips/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ip_address": "<string>",
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

id
string<uuid>
required

Allowed IP ID

Body

application/json
ip_address
string

IP address or CIDR range. Supports IPv4 only (e.g., 192.168.1.1, 10.0.0.0/8)

Minimum string length: 1
description
string

Optional description (e.g., "Office network", "VPN gateway")

Maximum string length: 500
enabled
boolean

Whether this allowed IP is active

Response

Default Response

id
string<uuid>
required

Allowed IP unique identifier

ip_address
string
required

IP address or CIDR range (e.g., 192.168.1.1 or 10.0.0.0/8)

enabled
boolean
required

Whether this allowed IP is active

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

created_by
string<uuid>
required

User ID who created this allowed IP

updated_by
string<uuid>
required

User ID who last updated this allowed IP

description
string | null

Optional description of this IP address